<?php
/* @var $this \Piko\View */
/* @var $content string */

$user = $this->params['user'];
assert($user instanceof Piko\User);

if (!$this->title) $this->title = 'Openai';
?>
<!DOCTYPE html>
<html lang="<?= $this->params['language'] ?>">
<head>
    <meta charset="<?= $this->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?= $this->escape($this->title) ?></title>
    <?= $this->head() ?>
</head>
<body>
  <nav class="offcanvas offcanvas-start" tabindex="-1" id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel">
    <div class="offcanvas-header">
      <h5 class="offcanvas-title" id="offcanvasNavbarLabel">Openai</h5>
      <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <div class="offcanvas-body">

      <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
        <li class="nav-item"><a class="nav-link active" aria-current="page" href="/">Assistant</a></li>
        <li class="nav-item"><a class="nav-link"  href="<?= $this->getUrl('site/ia/assistants') ?>">Gérer les assistants</a></li>

        <?php /*if ($user->can('access.completion')): ?>
        <li class="nav-item">
          <a class="nav-link" href="<?= $this->getUrl('openai/v1/completions') ?>">Completions</a>
        </li>
        <?php endif */ ?>

        <?php /* if ($user->can('access.edit')): ?>
        <li class="nav-item">
          <a class="nav-link" href="<?= $this->getUrl('openai/v1/edits') ?>">Edits</a>
        </li>
        <?php endif */ ?>

        <li class="nav-item">
          <a class="nav-link" href="<?= $this->getUrl('user/default/edit') ?>">Compte</a>
        </li>

        <li class="nav-item">
          <a class="nav-link" href="<?= $this->getUrl('user/default/logout') ?>">Déconnexion</a>
        </li>

        <?php if ($user->can('admin')): ?>
          <li class="nav-item">
            <a class="nav-link" href="<?= $this->getUrl('user/admin/users') ?>">Gestion utilisateurs</a>
          </li>
        <?php endif ?>
      </ul>
    </div>
  </nav>

  <button type="button" id="navBtn" class="hamburger is-closed" data-bs-toggle="offcanvas" data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar" >
      <span class="hamb-top"></span>
    	<span class="hamb-middle"></span>
			<span class="hamb-bottom"></span>
  </button>


  <?php if (isset($this->params['message']) && is_array($this->params['message'])): ?>
  <div class="container alert alert-<?= $this->params['message']['type'] ?> alert-dismissible fade show" role="alert">
    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    <?= $this->params['message']['content'] ?>
  </div>
  <?php endif ?>
  <?= $content ?>

  <?= $this->endBody() ?>
</body>
</html>
